2007-01-11 v2.88 (2.90 beta2) update the module
 - modified the structure of category table
 - updated mymenu for Cube 2.1
 - removed myblocksadmin and mytplsadmin (install altsys instead)
 - fixed a lot of small bugs
 - fixed guest's post cannot be searched (thx kentaro) 2.88a
 - fixed _ALBM_TEXT_SMNAME4 is displayed (thx Masaki) 2.88b
 - added language files
 -- ja_utf8 2.88c
 - fixed waiting plugin displays wrong link (thx GEM) 2.88d

2006-05-26 v2.87 (2.90 beta1)
 - added mytplsadmin
 - updated gticket2
 - fixed some reference typos
 - fixed typo in copyright (thx hodaka,khmerr)
 - modified language files
 -- tchinese (thx Sheng-Hung, Huang)
 -- french (thx marco)
 - added language files
 -- portuguesebr (thx Izzy)
 -- persian (thx voltan)
 - modified compatibility with XOOPS2.2/3  2.87a
 - fixed random block template makes invalid html (thx HMN)  2.87a
 -- modified tchinese (thx threesecond) 2.87b
 -- added utf8_tw (thx threesecond) 2.87b
 -- modified template myalbum_categories.html (thx red_Slider) 2.87b
 - modified compatiblitiy with Cube 2.1 2.87c

2005-08-31 v2.86 (2.90 alpha)
 - added Duplicatable V2.1
 - added a native plugin for "sitemap" module
 - added a native plugin for "waiting" module
 - added a native plugin for "search" module
 - added a link to "tellafriend" module (check global permissions)
 - added GTicket checks instead of another xoops_refcheck()
 - added an option storing timestamps in editing photos.
 - added assigning photo's name as xoops_pagetitle
 - fixed batch registration did not fetch sizes of images (thx Tom_G3X)
 - fixed the permission of imagemanager integration
 - assigning $photo.cat_title in each block
 - updated myblocksadmin into 0.40
 - added polish language (thx kaper)
 - modified english language (thx Peter)
 - updated french language (thx sebhtml)
 - fixed a typo in "tell a friend" function (thx HMN) 2.86a
 - fixed compatibility trouble with PHP 5.0.5 in the search function 2.86b
 - updated myblocksadmin 0.41 & mymenu 0.15                          2.86b
 - modified the compatibilities with PHP 5.0.5                       2.86b
 - updated the status alpha to beta                                  2.86c
 - modified ordering by file names on batch register                 2.86c

2005-08-20 v2.85 (pre-alpha version)

2004-10-4 v2.84
 - modified ImageManagerIntegration can treat non-image files (AttachmentManager)
 - added an option which specifies the default listing order
 - modified that img tags have not only alt but also title property
 - added delete button on admin's admission (thx karuna)
 - fixed a bug rendering options for categories (thx Tom_G3X)
 - added italian language (thx NickeL)
 - updated schinese language (thx phppp)

2004-07-31 v2.83
 - added photo columns into each blocks (thx rocket98)
 - fixed default templates not to display posting icon to non-priv-users (thx rocket98)
 - fixed adding meta headers into submit.php called by IMI (thx phppp)
 - fixed myalbum.textsanitizer to separated some codes into langs (thx phppp)
 - modified non-image files can be shown in random block (thx okatti)
 - updated myblocksadmin into 0.07
 - updated schinese language (thx phppp)

2004-07-8 v2.82
 - fixed a bug in listing categories (thx cradeg)

2004-07-5 v2.81
 - fixed looping check routine (thx boufa)
 - fixed treating with ghost categories (thx cradeg & boufa)
 - eliminated some codes using buggy xoops_substr() (thx namhil & boufa)
 - added mbstring routine for some environment (thx Marijuana)
 - fixed some links not ended '/' (thx Marijuana)
 - added some global permissions on intall (thx Marijuana)
 - updated swedish language (thx Leif Madsen)

2004-06-25 v2.80
 - remade the default design using crystal icons. (thx to all of icon authors)
 - added class MyAlbumTextSanitizer extends MyTextSanitizer
 - added tag [siteimg]
 - added tag [summary][/summary] only text inside this tag will be displayed in summary view
 - applied with Windows environment (If you want to use Windows Server with ImageMagick, try blank as the path of ImageMagick)
 - added a mode ImageManager Integration outputs [siteimg] tags
 - updated myblocksadmin & mymenu
 - changed names of functions using prefix "myalbum_" (eg. applied the problem of redeclaring convertorderbyin() )
 - fixed some SQL injection vulnerablities
 - and many other slight bugs are patched

2004-05-25 v2.75b
 - fixed import.php from myAlbum-P (thx okatti)

2004-05-22 v2.75a
 - fixed a fatal bug which user's posts is cleared when he submit (thx sfdb).
 -- 2.73 , 2.74 and 2.75 have this problem.

2004-05-21 v2.75
 - fixed uid don't specified in order link (thx bordacs)
 - modified icon gifs larger
 - eliminate 'PHP_SELF'

2004-05-19 v2.74
 - added middle size calculation in photo.php (thx ellecat)
 - fixed wrong links in photo.php (thx sfdb, efla)
 - fixed a bug in specifying date of last modified
 - changed myalbum_slogo.gif using font 04b_03b (thx Herko & Y.Kishino)
 - changed logo.gif like mydownloads (thx LARABIE FONTS)

2004-05-17 v2.73
 - added batch update into photo manager (thx efla)
 - added a drop-down box allowing him a direct access to any categories or/and sub-categories. (thx efla)
 - fixed a bug category selection is not stored in preview. (thx Elleomea)
 - fixed a bug of catview.php in table view (thx Snoopy)

2004-05-13 v2.72a modification about a compatibility with PHP Accelerator
 - the order of templates is changed back to the same as 2.6
 - modified category should be selected (thx sfdb)
 - modified putting some space between 2 lines of thumbs in the table view (thx efla)
 - modified "mymenu" can be also displayed in preferences

2004-05-7 v2.72 some modifications
 - modified treating files other than images
 - modified redo thumbnails
 - modified preview

2004-05-7 v2.71 bug fixed
 - fixed a problem which caps extensions treated as not image files

2004-05-5 v2.70 release
 - added page navigation into recent list of top page
 - added limitation of photos in block displaying
 - added category's name ($photo.cat_title) into template myalbum*_photo_in_list.html
 - added term for rotation of random image 
 - added import from imagemanager
 - added export to imagemanager
 - added a top menu for admin ("mymenu")
 - remade category's admin (renamed as index.php)
 - allowed to upload another type of files (swf,avi etc.)
  - For such implementations, I use the icons of filemanager 3.0
   - thx to the author Jan Inge Pettersen(Xend) http://www.xendtech.com/

2004-04-5 v2.70 beta 03
 - use myuploader.php instead of class/uploader.php in XOOPS core.
   (Security reason)
 - added import from another myAlbum-P modules.
 - navigation at bottom as well (thx mariuss)
 - New language
  - Nederlands (thx Jan Deeben)

2004-03-9 v2.70 beta 02
 - fixed typo in xoops_version.php and notification.inc.php
 - fixed typo in templates for duplicated modules
 - added links each categories view from submit or edit
 - not only text but also photo is previewable (submit)
 - myblocksadmin improved a little
 - Updated swedish (thx Leif Madsen)

2004-03-4 v2.70 beta 01
 - modified as "Duplicatable Module"
 - rename .htaccess into .htaccess.dist for some environment.
   (If you want more secure, rename it into .htaccess manually)
 - Updated spanish (thx ColdBeer)
 - short tag in language/*/admin.php fixed (thx magu)

2004-02-29 v2.64 (some requested features implemented)
 - redirect to viewcat.php of specified category after photo submission (thx karuna)
 - set the filename as subject when subject is not specified (thx mariuss)
 - modified into much safer codes which prevent from crackers (thx JM2)
 - preview added
 - myblocksadmin updated to 0.04
 - changed like that uploading photo is not necessary
 - use original images as thumbnails when the images is small enough
 - New language
  - Portuguese (thx Oliver Zancul Prado)

2004-02-12 v2.63 (small fix)
 - fixed bug that registered users (not admin) can't edit photo's description

2004-01-30 v2.62 (small fixes)
 - fixed typo in viewcat.php (thx pen)
 - move 'template_main' above include(XOOPS_ROOT_PATH.'/header.php')

2004-01-30 v2.61 (small fixes)
 - fixed typo in myalbum_imagemanager.html rxcoder -> xcoder fixed (thx Olorin)
 - feature changed not to close imagemanager after [img] added (thx Olorin)
 - sort by date desc added (thx Collo)
 - pagenav bug fixed (thx Collo)

2004-01-28 v2.60 release
 - imagemanager integrated with XOOPS core added
 - optimization for table view
 - Updated swedish (thx Leif Madsen)

2004-01-27 v2.60beta01
 - almost of front ends have been rewritten to use template
 - selectable from two views of viewcat.php (list & table)
 - global group permission added (add,edit,delete,rateview,ratevote)
 - notifications added (new photos in global and categories)
 - some improvement for admin
 - some fix

2003-12-31 v2.50beta04
 - New language
  - Swedish (thx Leif Madsen)
 - width specification added when big thumbs

2003-12-18 v2.50beta03
 - myblocksadmin is replaced to 0.03
   (compatibility trouble before XOOPS 2.0.3)

2003-12-3 v2.50beta02
 - Updated tchinese (thx xoobs)
 - myblocksadmin added
 - two blocks added

2003-11-25 v2.50beta01 (Major version up)
 - better work with GD
 - adding "forceGD2 mode"
 - supporting NetPBM
 - add a preference for rules of creating thumbnails
 - rewrite all of blocks (using templates etc..)
 - rewrite redo thumnails
 - rewrite batch register
 - selectable uname() or name()
 - remove all of is_executable()
 - and much more ...

2003-10-21 v2.05 (Adding a language file)
 - New language
  - French
 - Added some language constants into the tails of all language files.

2003-10-8 v2.04 (Adjustment for some environment)
 - don't mkdir photos & thumbs when safe_mode is on.

2003-09-23 v2.03 (Adding some checks for begginers)
 - add environment checks into 'module check'.
 - add some checks into 'submit.php'.
 - default directory for photos and thumbs has moved under /uploads

2003-09-16 v2.02 (fixes)
 - fixed my misunderstanding with feature for seaching.
 - when click a photo in photo.php, it opens new window. (for printing etc.)

2003-09-13 v2.01 (Compatibility fixes)
 - Remove $smarty.const.xxx for XOOPS older than 2.0.2
 - Restore table myalbum_comments for older myalbum user.

2003-09-5 v2.0.0 Release
 - The first release version.
 - Fixed slightly bugs in displaying.

2003-08-30 v2.0.0pre10
 - New language
  - traditional Chinese
  - simple Chinese      (thx xoobs)

2003-08-29 v2.0.0pre09
 - Fixed many bugs of treating comments
 - Templatize photos listing (Don't forget updating this module!)

2003-08-28 v2.0.0pre08
 - Add check code for the directory path of 'batch upload'
 - Add 'move category' on photo manager
 - New language
  - Spanish  (thx Horacio Salazar)

2003-08-26 v2.0.0pre07
 - Fixed a bug for updating a photo.
 - Add 'update users posts' feature.

2003-08-26 v2.0.0pre06
 - Fixed a miss type of ratephoto.php  (thx HowardGee)

2003-08-21 v2.0.0pre05
 - Implement 'Check module' for admin
 - Implement 'Photo Manager'
 - fixed res_x, res_y recorded wrong degree.
 - 'make thumbs' option turns off in default.

2003-08-20 v2.0.0pre04
 - Fatal error fixed. (Normal User can't view photos properly)
 - Change upload class from older upload.class to Xoops2 uploader class

2003-08-19 v2.0.0pre03
 - prepare to 'module duplication' (not yet)
 - can change photo or thumbs directory (like /uploads/myalbum/)
 - fixes about Category & Photo deletion
 - resize or rotation main photos (Only ImageMagick)
 - modify code for making thumbs by GD. (for PHP bundled GD2)
 - and many more...

2003-08-17 v2.0.0pre02
 - fixes about displaying Categories

2003-08-13 v2.0.0pre01 GIJ's first beta release



---------------

21/3/2003 v1.1.0 (beta)
 - Xoops 2.0 support

19/3/2003 v1.0.2
 - small fixes

1/3/2003 v1.0.1
 - Better thumbs (gd 2.0)
 - My Photos (optional member edit/delete photos)
 - redo thumbs
 - All language tags changed to _ALBM_*
 - New Languages (Need credits)
  - Portuguesept
  - French
  - Italian
  - Japanese
  - Schinese

4/7/2002 v1.0.0 
 - First public release.

30/6/2002 v0.9.5
 - 2nd RC.
 - Updated to RC 3.0.3

30/6/2002 v0.9.4
 - Language errors in Block.

30/6/2002 v0.9.3
 - Batch upload uppercased files.

29/6/2002 v0.9.3
 - /class/upload.class.php broken from RC3 -> RC3.0.2.
 - Now only works on RC3.0.2.

27/6/2002 v0.9.2 
 - misc bugs.

27/6/2002 v0.9.1 
 - misc bugs.

26/6/2002 v0.9.0 
 - 1st non public release candidate.









---------------------------------------------------------
(for Japanese)

更新履歴:

2007-01-11 v2.88 (2.90 beta2) ※ 要モジュールアップデート
 - カテゴリーテーブルの構造変更
 - Cube 2.1対応のmymenu導入
 - myblocksadminとmytplsadminを削除 (altsysを代わりにインストールしてください)
 - その他多くの細かい修正
 - ゲスト投稿が検索できないバグの修正 (thx kentaro) 2.88a
 - 自分の投稿の文字定数が定義されていなかったのを修正 (thx Masaki) 2.88b
 - 言語ファイル追加
 -- ja_utf8 2.88c
 - waitingモジュール用プラグインのリンクミスを修正 (thx GEM) 2.88d

2006-05-26 v2.87 (2.90 beta1)
 - mytplsadmin導入
 - gticket2への更新
 - いくつか参照指定ミスを修正
 - コピーライト表記にあった</div>を削除 (thx hodaka,khmerr)
 - 言語ファイル更新
 -- 繁体中国語 (thx Sheng-Hung, Huang)
 -- フランス語 (thx marco)
 - 言語ファイル追加
 -- ブラジルポルトガル語 (thx Izzy)
 - XOOPS2.2/3 で投稿数カウントアップに失敗しているのを修正 2.87a
 - ランダム画像ブロックがInvalidなhtmlを生成しているのを修正 (thx HMN)  2.87a
 -- 繁体中国語入れ替え (thx threesecond) 2.87b
 -- utf8_tw追加 (thx threesecond) 2.87b
 -- テンプレートmyalbum_categories.html の修正 (thx red_Slider) 2.87b
 - Cube 2.1との互換性問題を修正 2.87c

2005-08-31 v2.86 (2.90 alpha)
 - Duplicatable V2.1 実装 (=myalbum* というdirnameからの解放)
 - sitemapプラグイン作成
 - waitingプラグイン作成
 - searchプラグイン作成 （本文検索対応）
 - Tell a friend モジュールとの連携 (要インストール&全体的な権限のチェック)
 - リファラチェックだった部分を、GTicketに置き換え (CSRF対策)
 - 編集において「日付を更新しない」チェックボックスの追加 (管理者のみ)
 - xoops_pagetitle にタイトルをアサイン
 - イメージマネージャ統合がモジュールアクセス権限・アクティブ属性を見ていなかったのを修正
 - バッチ登録で画像サイズ取得ができていなかったのを修正 (thx Tom_G3X)
 - Windows環境で、空白の含まれるファイルをexec()かける時の処理。（クオーティング）(thx Saintolaf2)
 - 各ブロックで、画像所属のカテゴリー名を引っ張れるようにした $photo.cat_title
 - myblocksadmin を 0.40 に更新
 - ポーランド語追加 (thx kaper)
 - 英語のブラッシュアップ (thx Peter)
 - フランス語更新 (thx sebhtml)
 - Tell a friend連携機能におけるtypo修正 (thx HMN)  2.86a
 - PHP 5.0.5だと検索でfatal errorがでる問題の解決   2.86b
 - updated myblocksadmin 0.41 & mymenu 0.15         2.86b
 - PHP 5.0.5 との互換性問題の解消                   2.86b
 - β版にステータス変更                             2.86c
 - バッチ登録時にファイル名でソートされるように変更 2.86c

2005-08-20 v2.85 (pre-alpha version)

2004-10-4 v2.84
 - イメージマネージャ統合でも画像以外のファイルを扱えるようにした（簡易添付ファイルマネージャ機能）
 - カテゴリビュー等でのデフォルトでの並び順を指定できるようにした
 - alt属性だけでtitle属性をつけ忘れていた部分を修正
 - 管理者の承認画面に削除ボタンを追加 (thx karuna)
 - カテゴリ選択オプションのレンダリングバグを修正 (thx Tom_G3X)
 - イタリア語の言語ファイルを追加 (thx NickeL)
 - 簡体中国語の言語ファイル更新 (thx phppp)

2004-07-31 v2.83
 - 各写真付ブロックで、横に並べる数を指定できるようにした (thx rocket98)
 - デフォルトテンプレートで、画像追加アイコンが権限がなくても表示されていたバグの修正 (thx rocket98)
 - イメージマネージャ統合における投稿で、言語関係のメタヘッダが不足していたのを修正 (thx phppp)
 - myAlbum-Pテキストサニタイザにおける、コード変換処理を各言語ファイルに分離した (thx phppp)
 - ランダムブロックで通常画像ファイル以外は選択外としていたのを、すべて選択できるように仕様変更 (thx okatti)
 - myblocksadmin を 0.07 に更新
 - 簡体中国語の言語ファイル更新 (thx phppp)

2004-07-8 v2.82
 - カテゴリー一覧表示でのバグを修正 (thx cradeg)

2004-07-5 v2.81
 - カテゴリー構造のループチェックがおかしかったのを修正 (thx boufa)
 - 幽霊カテゴリー対策の追加 (thx cradeg & boufa)
 - xoops_substr() を使ってしまった部分を使わないように修正 (thx namhil & boufa)
 - 一部のmbstring環境での文字化け対策 (thx Marijuana)
 - redirect_headerの引数の最後が'/'でなかったものをFix (thx Marijuana)
 - インストール時に管理者に権限を付与するようにした (thx Marijuana)
 - スウェーデン語言語ファイル更新 (thx Leif Madsen)

2004-06-25 v2.80
 - 一覧画面のデフォルトデザインをcrystal iconsを利用して少し改善した (thx to all of icon authors)
 - テキストサニタイザの拡張クラスを利用するようにした
 - [siteimg] タグの解釈追加
 - [summary][/summary]ブロックの追加 画像説明にこのブロックがあった場合、その内側だけが一覧画面に表示されます
 - Windows環境での動作改善 (もし、ImageMagickをWindowsで使いたい場合、ImageMagickのパスを、空白にしてみて下さい） xaioをリリースしてくれたmatchanさんに感謝します
 - イメージマネージャ統合機能で、[siteimg]や[siteurl]を出力するオプションの追加
 - myblocksadmin および mymenu を最新版に更新
 - ほとんどすべての関数名に、"myalbum_" という前置詞をつけるようにした。(convertorderbyin() などが多重定義違反で引っかかったりしたため)
 - SQL Injection 脆弱性らしきものが散見されたので修正
 - その他、数え切れないバグの修正

2004-05-25 v2.75b
 - 2.74あたりからmyAlbum-P同士でのインポートが出来なくなっていたのを修正 (thx okatti)

2004-05-22 v2.75a
 - 2.73あたりから投稿数がクリアされてしまうという致命的なバグを修正 (thx sfdb)

2004-05-21 v2.75
 - ユーザIDで絞り込んだ時にソートがおかしかったのを修正 (thx bordacs)
 - アイコンをとりあえず2倍にした
 - $PHP_SELF の使用を全面的にやめた

2004-05-19 v2.74
 - 一枚表示画面での、画像表示サイズ制限を追加 (thx ellecat)
 - 一枚表示画面のカテゴリビューへのリンクを修正 (thx sfdb, efla)
 - strtotime() が、Y/m/d は受け付けても、d/m/Y は受け付けないことへの対応
 - より標準っぽいモジュールアイコンへ描き換え (thx Herko & Y.Kishino)
 - より標準っぽいバナー画像へ描き換え (thx LARABIE FONTS)

2004-05-17 v2.73
 - 画像管理画面で、画像付帯情報をまとめて更新できるようにした (thx efla)
 - カテゴリーの直接選択ボックスを用意した (thx efla)
 - カテゴリー選択がプレビューすると消えていたバグ修正 (thx Elleomea)
 - テーブルビューでの画像サイズ指定もれを修正 (thx Snoopy)

2004-05-13 v2.72a PHP Acceleratorとの互換性問題改善バージョン
 - テンプレートの読込順を、2.6と同じに戻した
 - 新規登録時に、かならずカテゴリー選択をしてもらうようにした (thx sfdb)
 - テーブルビューでの縦方向のスペース追加 (thx efla)
 - mymenu を、一般設定でも使えるように改善（正確には、preferencesをモジュール側に引っ張ってきただけですが）

2004-05-7 v2.72
 - 画像以外のファイルの取扱いがイマイチだったのを修正
 - サムネイルの再構築を改善（画像以外のファイルについても処理するようにした等）
 - プレビューの改善

2004-05-7 v2.71
 - 拡張子が大文字のファイルを、画像ファイルとして認識しないバグを修正

2004-05-5 v2.70 リリース版
 - トップページの最新リストもページ分割できるようにした (thx megu)
 - 各ブロックに、カテゴリーによる限定をかけられるようにした
 - ランダム画像ブロックで、画像切替タイミングを指定出来るようにした
 - カテゴリー名もテンプレートに渡すようにした ($photo.cat_title)
 - イメージマネージャからのインポート実装
 - イメージマネージャへのエクスポート実装
 - トップメニュー(mymenu)追加など、管理画面の大幅な操作性改善
 - カテゴリー管理をまるまる書き直して、index.phpとした
 - gif,jpeg,png以外のファイルもアップロードできるようにした
  - これらのファイルはアイコンで表示しますが、そのアイコンはFilemanager 3.0から頂戴しました
   - 作者のJan Inge Pettersenさん、(Xend) http://www.xendtech.com/ に感謝します

2004-04-5 v2.70 beta 03
 - XOOPSのアップローダクラスは使わないようにした 
  (セキュリティおよび、myDownloads RC1 などとの互換性のため）
 - 複製したmyAlbum-Pモジュール同士でのデータやりとりを追加した
 - 画面下にもナビゲーションを追加 (thx mariuss)
 - オランダ語追加 (thx Jan Deeben)

2004-03-9 v2.70 beta 02
 - 新規登録時に、画像もプレビュー可能となった
 - スウェーデン語更新 (thx Leif Madsen)

2004-03-4 v2.70 beta from 2.64
 - 複製可能化
 - .htaccess を .htaccess.dist にリネーム
 - スペイン語更新 (thx ColdBeer)

2004-02-29 v2.64 (リクエストされた機能の追加)
 - 連続登録時に便利なよう、登録したカテゴリーのviewcatにリダイレクトするようにした(thx karuna)
 - タイトルが指定されなかったときは、ファイル名をタイトルとするよう変更 (thx mariuss)
 - CSRF対策など、より安全なコードに書き換えた (thx JM2)
 - プレビュー機能の追加
 - myblocksadmin を 0.04 に更新
 - 画像のアップロードなしでも、とりあえず登録できるように仕様変更
 - アップロード画像が十分に小さい時は、その画像をそのままサムネイルとする
 - ポルトガル語追加 (thx Oliver Zancul Prado)
